DCMTK: Deleting Nodes or Attributes

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Functions
Deleting Nodes or Attributes
The XML parser » Create or Update the XMLNode structure

Some deletion functions: More...

## Functions
void | XMLNode::deleteNodeContent ()
| The "deleteNodeContent" function forces the deletion of the content of this XMLNode and the subtree.
void | XMLNode::deleteAttribute (int i=0)
| Delete the ith attribute of the current XMLNode.
void | XMLNode::deleteAttribute (XMLCSTR lpszName)
| Delete the attribute with the given name (the "strcmp" function is used to find the right attribute)
void | XMLNode::deleteAttribute (XMLAttribute *anAttribute)
| Delete the attribute with the name "anAttribute->lpszName" (the "strcmp" function is used to find the right attribute)
void | XMLNode::deleteText (int i=0)
| Delete the Ith text content of the current XMLNode.
void | XMLNode::deleteText (XMLCSTR lpszValue)
| Delete the text content "lpszValue" inside the current XMLNode (direct "pointer-to-pointer" comparison is used to find the right text)
void | XMLNode::deleteClear (int i=0)
| Delete the Ith clear tag inside the current XMLNode.
void | XMLNode::deleteClear (XMLCSTR lpszValue)
| Delete the clear tag "lpszValue" inside the current XMLNode (direct "pointer-to-pointer" comparison is used to find the clear tag)
void | XMLNode::deleteClear (XMLClear *p)
| Delete the clear tag "p" inside the current XMLNode (direct "pointer-to-pointer" comparison on the lpszName of the clear tag is used to find the clear tag)

## Detailed Description

Some deletion functions:

## Function Documentation

## ◆ deleteNodeContent()

void XMLNode::deleteNodeContent | ( |  | ) |

The "deleteNodeContent" function forces the deletion of the content of this XMLNode and the subtree.

Note
  The XMLNode instances that are referring to the part of the subtree that has been deleted CANNOT be used anymore!!. Unexpected results will occur if you continue using them.

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2